ambix_writef()
ambix

Write samples to the ambix file. More...

## Functions

AMBIX_API int64_t | ambix_writef_int16 (ambix_t *ambix, const int16_t *ambidata, const int16_t *otherdata, int64_t frames)
| Write (16bit signed integer) samples to the ambix file.
AMBIX_API int64_t | ambix_writef_int32 (ambix_t *ambix, const int32_t *ambidata, const int32_t *otherdata, int64_t frames)
| Write (32bit signed integer) samples to the ambix file.
AMBIX_API int64_t | ambix_writef_float32 (ambix_t *ambix, const float32_t *ambidata, const float32_t *otherdata, int64_t frames)
| Write (32bit floating point) samples to the ambix file.
AMBIX_API int64_t | ambix_writef_float64 (ambix_t *ambix, const float64_t *ambidata, const float64_t *otherdata, int64_t frames)
| Write (64bit floating point) samples to the ambix file.

## Detailed Description

Write samples to the ambix file.

Writes samples (as single precision floating point values) to an ambix file, possibly expanding a reduced channel set to a full ambisonics set (when writing an 'ambix extended' file as 'ambix basic').

Data will be stored on harddisk in the format specified when opening the file for writing which need not be float32, in which case the data is automatically converted by the library to the appropriate format.

Parameters

  ambix | The handle to an ambix file.
  ambidata | pointer to user allocated array to retrieve ambisonics channels from; must be large enough to hold (frames*ambix->info.ambichannels) samples.
  otherdata | pointer to user allocated array to retrieve non-ambisonics channels into must be large enough to hold (frames*ambix->info.otherchannels) samples.
  frames | number of sample frames you want to write

Returns
  the number of sample frames successfully written